### Hierarchy

- OfferSearchRepository

### Implemented by

- OfferSearchRepositoryImpl

## Index

### Methods

- addEventToOfferSearch
- addResultItem
- claimPurchaseForSearchItem
- clone
- complainToSearchItem
- confirmSearchItem
- createByQuery
- evaluateSearchItem
- getCountBySearchRequestIds
- getSearchResult
- getSearchResultByOfferSearchId
- getSuggestionByQuery
- getUserOfferSearches
- rejectSearchItem

## Methods

### addEventToOfferSearch

- addEventToOfferSearch(event: string, offerSearchId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:49

  #### Parameters

  - ##### event: string

  - ##### offerSearchId: number

  #### Returns Promise<void>

### addResultItem

- addResultItem(clientId: string, offerSearch: OfferSearch): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:47

  #### Parameters

  - ##### clientId: string

  - ##### offerSearch: OfferSearch

  #### Returns Promise<void>

### claimPurchaseForSearchItem

- claimPurchaseForSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:45

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### clone

- clone(owner: string, id: number, searchRequest: SearchRequest): Promise<Array<OfferSearch>>

- - Defined in repository/search/OfferSearchRepository.ts:51

  #### Parameters

  - ##### owner: string

  - ##### id: number

  - ##### searchRequest: SearchRequest

  #### Returns Promise<Array<OfferSearch>>

### complainToSearchItem

- complainToSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:37

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### confirmSearchItem

- confirmSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:43

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### createByQuery

- createByQuery(owner: string, query: string, searchRequestId: number, page?: number, size?: number, interests?: Array<string>, mode?: OfferSearchRequestInterestMode): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:11

  #### Parameters

  - ##### owner: string

  - ##### query: string

  - ##### searchRequestId: number

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional interests: Array<string>

  - ##### Optional mode: OfferSearchRequestInterestMode

  #### Returns Promise<Page<OfferSearchResultItem>>

### evaluateSearchItem

- evaluateSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:41

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

### getCountBySearchRequestIds

- getCountBySearchRequestIds(searchRequestIds: Array<number>): Promise<Map<number, number>>

- - Defined in repository/search/OfferSearchRepository.ts:35

  #### Parameters

  - ##### searchRequestIds: Array<number>

  #### Returns Promise<Map<number, number>>

### getSearchResult

- getSearchResult(clientId: string, searchRequestId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:31

  #### Parameters

  - ##### clientId: string

  - ##### searchRequestId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSearchResultByOfferSearchId

- getSearchResultByOfferSearchId(clientId: string, offerSearchId: number): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:33

  #### Parameters

  - ##### clientId: string

  - ##### offerSearchId: number

  #### Returns Promise<Page<OfferSearchResultItem>>

### getSuggestionByQuery

- getSuggestionByQuery(query: string, size?: number | undefined): Promise<Array<string>>

- - Defined in repository/search/OfferSearchRepository.ts:9

  #### Parameters

  - ##### query: string

  - ##### Optional size: number | undefined

  #### Returns Promise<Array<string>>

### getUserOfferSearches

- getUserOfferSearches(clientId: string, page?: number, size?: number, unique?: boolean, searchIds?: Array<number>, state?: Array<OfferResultAction>, sort?: SortOfferSearch): Promise<Page<OfferSearchResultItem>>

- - Defined in repository/search/OfferSearchRepository.ts:21

  #### Parameters

  - ##### clientId: string

  - ##### Optional page: number

  - ##### Optional size: number

  - ##### Optional unique: boolean

  - ##### Optional searchIds: Array<number>

  - ##### Optional state: Array<OfferResultAction>

  - ##### Optional sort: SortOfferSearch

  #### Returns Promise<Page<OfferSearchResultItem>>

### rejectSearchItem

- rejectSearchItem(clientId: string, searchResultId: number): Promise<void>

- - Defined in repository/search/OfferSearchRepository.ts:39

  #### Parameters

  - ##### clientId: string

  - ##### searchResultId: number

  #### Returns Promise<void>

Generated using TypeDoc